---
title: Window.scrollbars
slug: Web/API/Window/scrollbars
tags:
  - API
  - HTML DOM
  - NeedsExample
  - Property
  - Reference
  - Window
---
<div>{{APIRef()}}</div>

<p>The <code><strong>Window.scrollbars</strong></code> property returns the <code>scrollbars</code> object, whose visibility can be checked.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>objRef</em> = window.scrollbars
</pre>

<h2 id="Example">Example</h2>

<p>The following complete HTML example shows how the <code>visible</code> property of the scrollbars object is used.</p>

<pre class="brush: html">&lt;!doctype html&gt;
&lt;html&gt;
&lt;head&gt;
  &lt;title&gt;Various DOM Tests&lt;/title&gt;
  &lt;script&gt;
    let visibleScrollbars = window.scrollbars.visible;
  &lt;/script&gt;
&lt;/head&gt;
&lt;body&gt;
  &lt;p&gt;Various DOM Tests&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'browsers.html#dom-window-scrollbars', 'Window.scrollbars')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-window-scrollbars', 'Window.scrollbars')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.scrollbars")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.locationbar")}}</li>
 <li>{{domxref("window.menubar")}}</li>
 <li>{{domxref("window.personalbar")}}</li>
 <li>{{domxref("window.statusbar")}}</li>
 <li>{{domxref("window.toolbar")}}</li>
</ul>
